DEPLOY=driftless:/u/j/u/justhsu/public/html-s/teaching/current/cs839
# DEPLOY=rockhopper-07.cs.wisc.edu:/u/j/u/justhsu/public/html-s/teaching/current/cs839
# DEPLOY=jackknife:/home/justhsu/html/staging/cs839/

build:
	make assets && mkdocs build

preview:
	make assets && mkdocs serve

assets:
	(cd docs/resources/slides; make)

install:
	pip install mkdocs mkdocs-material pymdown-extensions

deploy:
	make build
	find . -type d -exec chmod a+rx {} \;
	find . -type f -exec chmod a+r {} \;
	rsync -avzp --delete -e ssh ./site/ $(DEPLOY)
